// Определение количества записей в файле данных
int number(char* filename)
/*
Параметр - указатель для передачи при вызове функции строки с именем
файла данных? счетчик записей.
*/
{
int n=0;			      //Счетчик записей;
char T[255];                          //Массив-буфер;
fin.open(filename);		      //Открытие файла данных;
if (!fin) on_fileerror(4);
while(!fin.eof())		      //Пока не закончился файл
	/* Считываем по одной строчке файла данных и увеличиваем
	   счетчик на единицу */
	{
	fin.getline(T, 255); n++;
	}
fin.close();
return n;
}